PYTHON-BUILD(1)

NAME
python-build - Build and install a Python version using pyenv

SYNOPSIS
python-build [options] <definition> <prefix>

DESCRIPTION
The python-build command builds and installs a specified version of Python using the pyenv tool. It provides a flexible and easy way to install different Python versions in the specified prefix directory.

OPTIONS

-k, --keep
    Do not remove source tree after installation.

-p, --patch
    Apply a patch from stdin before building.

-v, --verbose
    Verbose mode: print compilation status to stdout.

-4, --ipv4
    Resolve names to IPv4 addresses only.

-6, --ipv6
    Resolve names to IPv6 addresses only.

--definitions
    List all built-in definitions.

--version
    Show version of python-build.

-g, --debug
    Build a debug version.

EXAMPLES
To install a specific version of Python:
    $ python-build 3.8.5 /usr/local
To install a Python version with verbose output:
    $ python-build --verbose 3.9.0 /usr/local
To force the installation of a Python version:
    $ python-build --force 3.7.9 /usr/local

SEE ALSO
pyenv(1), pyenv-install(1)

AUTHORS
Written by Yamashita, Yuu <peek824545201@gmail.com>, Sam Stephenson <sam@sls.name>. This manual page was written by Josenison F. da Silva <nilsonfsilva@hotmail.com> for the Debian project (but may be used by others).